## mbdyn 1.7.3

=== contrib/Post/Makefile ===
CFLAGS = -c -Wall -O2 -g

default: Post

lex.Mbdynpost.cc: Mbdynpost.flex Post.hh
	flex++ Mbdynpost.flex

lex.Mbdynpost.o: lex.Mbdynpost.cc
	g++ $(CFLAGS) lex.Mbdynpost.cc

Post.o: Post.C Post.hh
	g++ $(CFLAGS) Post.C

Post: lex.Mbdynpost.o Post.o
	g++ -o Post -g -Wall lex.Mbdynpost.o Post.o

clean:
	rm -f *.o Post lex.Mbdynpost.cc

=== contrib/SimulinkInterface/Makefile ===
# $Header: /var/cvs/mbdyn/mbdyn/mbdyn-1.0/contrib/SimulinkInterface/Makefile,v 1.12 2017/01/12 14:42:11 masarati Exp $
# MBDyn (C) is a multibody analysis code. 
# http://www.mbdyn.org
# 
# Copyright (C) 1996-2017
# 
# Pierangelo Masarati	<masarati@aero.polimi.it>
# Paolo Mantegazza	<mantegazza@aero.polimi.it>
# 
# Dipartimento di Ingegneria Aerospaziale - Politecnico di Milano
# via La Masa, 34 - 20156 Milano, Italy
# http://www.aero.polimi.it
# 
# Changing this copyright notice is forbidden.
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation (version 2 of the License).
# 
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

MEXBUILD = mex

All: sfun_mbdyn_com_read.mexglx sfun_mbdyn_com_write.mexglx sfun_mbdyn_start.mexglx

sfun_mbdyn_com_read.mexglx : sfun_mbdyn_com_read.c
		$(MEXBUILD) sfun_mbdyn_com_read.c
sfun_mbdyn_com_write.mexglx : sfun_mbdyn_com_write.c
		$(MEXBUILD) sfun_mbdyn_com_write.c
sfun_mbdyn_start.mexglx : sfun_mbdyn_start.c
		$(MEXBUILD) sfun_mbdyn_start.c

clean:
		rm -f *.mex*

=== modules/module-asynchronous_machine/doc/Makefile ===
all:
	doxygen Doxyfile
	$(MAKE) -C latex

=== debian/changelog ===
mbdyn (1.7.3-1) unstable; urgency=medium

  * Initial release (Closes: #899218)

 -- Andrius Merkys <merkys@debian.org>  Mon, 29 Mar 2021 03:40:08 -0400

=== debian/control ===
Source: mbdyn
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Build-Depends:
 chrpath,
 debhelper-compat (= 13),
 gfortran,
 libginac-dev,
 pkg-config,
Standards-Version: 4.5.1
Homepage: https://www.mbdyn.org
Vcs-Browser: https://salsa.debian.org/science-team/mbdyn
Vcs-Git: https://salsa.debian.org/science-team/mbdyn.git
Rules-Requires-Root: no

Package: mbdyn
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: multibody analysis code
 MBDyn is the first free general purpose Multibody Dynamics analysis software.
 .
 MBDyn features the integrated multidisciplinary simulation of multibody,
 multiphysics systems, including nonlinear mechanics of rigid and flexible
 bodies (geometrically exact & composite-ready beam and shell finite elements,
 component mode synthesis elements, lumped elements) subjected to kinematic
 constraints, along with smart materials, electric networks, active control,
 hydraulic networks, and essential fixed-wing and rotorcraft aerodynamics.
 .
 MBDyn simulates the behavior of heterogeneous mechanical, aeroservoelastic
 systems based on first principles equations.
 .
 MBDyn can be easily coupled to external solvers for co-simulation of
 multiphysics problems, e.g. Computational Fluid Dynamics, terradynamics,
 block-diagram solvers like Scicos, Scicoslab and Simulink, using C, C++ or
 Python peer-side API.
 .
 MBDyn is being actively developed and used in the aerospace (aircraft,
 helicopters, tiltrotors, spacecraft), wind energy (wind turbines), automotive
 (cars, trucks) and mechatronic fields (industrial robots, parallel robots,
 micro aerial vehicles) for the analysis and simulation of the dynamics of
 complex systems.

Package: libmbc-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libmbc0 (= ${binary:Version}),
 ${misc:Depends},
Description: multibody analysis code (development files)
 MBDyn is the first free general purpose Multibody Dynamics analysis software.
 .
 MBDyn features the integrated multidisciplinary simulation of multibody,
 multiphysics systems, including nonlinear mechanics of rigid and flexible
 bodies (geometrically exact & composite-ready beam and shell finite elements,
 component mode synthesis elements, lumped elements) subjected to kinematic
 constraints, along with smart materials, electric networks, active control,
 hydraulic networks, and essential fixed-wing and rotorcraft aerodynamics.
 .
 MBDyn simulates the behavior of heterogeneous mechanical, aeroservoelastic
 systems based on first principles equations.
 .
 MBDyn can be easily coupled to external solvers for co-simulation of
 multiphysics problems, e.g. Computational Fluid Dynamics, terradynamics,
 block-diagram solvers like Scicos, Scicoslab and Simulink, using C, C++ or
 Python peer-side API.
 .
 MBDyn is being actively developed and used in the aerospace (aircraft,
 helicopters, tiltrotors, spacecraft), wind energy (wind turbines), automotive
 (cars, trucks) and mechatronic fields (industrial robots, parallel robots,
 micro aerial vehicles) for the analysis and simulation of the dynamics of
 complex systems.
 .
 This package contains the development files.

Package: libmbc0
Architecture: any
Section: libs
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: multibody analysis code (shared library)
 MBDyn is the first free general purpose Multibody Dynamics analysis software.
 .
 MBDyn features the integrated multidisciplinary simulation of multibody,
 multiphysics systems, including nonlinear mechanics of rigid and flexible
 bodies (geometrically exact & composite-ready beam and shell finite elements,
 component mode synthesis elements, lumped elements) subjected to kinematic
 constraints, along with smart materials, electric networks, active control,
 hydraulic networks, and essential fixed-wing and rotorcraft aerodynamics.
 .
 MBDyn simulates the behavior of heterogeneous mechanical, aeroservoelastic
 systems based on first principles equations.
 .
 MBDyn can be easily coupled to external solvers for co-simulation of
 multiphysics problems, e.g. Computational Fluid Dynamics, terradynamics,
 block-diagram solvers like Scicos, Scicoslab and Simulink, using C, C++ or
 Python peer-side API.
 .
 MBDyn is being actively developed and used in the aerospace (aircraft,
 helicopters, tiltrotors, spacecraft), wind energy (wind turbines), automotive
 (cars, trucks) and mechatronic fields (industrial robots, parallel robots,
 micro aerial vehicles) for the analysis and simulation of the dynamics of
 complex systems.
 .
 This package contains the shared library.

=== debian/rules ===
#!/usr/bin/make -f

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_FFLAGS_MAINT_APPEND = -fallow-argument-mismatch

%:
	dh $@

override_dh_install:
	dh_install
	chrpath --delete debian/mbdyn/usr/bin/mbdyn

=== debian/watch ===
version=4
https://www.mbdyn.org/?Software_Download \
 userfiles/downloads/mbdyn-([\d\.]+)\.tar\.gz
